Summary:	A Commodore 64 music player and SID chip emulator library
Summary(pl.UTF-8):	Biblioteka odtwarzająca muzyczki z Commodore 64 i emulująca układ SID
Name:		libsidplay2
Version:	2.1.1
Release:	7
License:	GPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/sidplay2/sidplay-libs-%{version}.tar.gz
# Source0-md5:	7ea0ba5dc1da4604d15eaae001f7d2a7
Patch0:		gcc4-fixes.patch
Patch1:		configure-fixes.patch
Patch2:		pkg-config.patch
URL:		http://sidplay2.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sidplay 2 is the second in the Sidplay series originally developed by
Michael Schwendt. This version is written by Simon White and is cycle
accurate for improved sound reproduction. Sidplay 2 is capable of
playing all C64 mono and stereo file formats.

%description -l pl.UTF-8
Sidplay 2 to druga wersja z serii Sidplay oryginalnie stworzonej przez
Michaela Schwendta. Ta wersja została napisana przez Simona White'a i
jest dokładna co do cyklu w celu zwiększonej wierności reprodukcji
dźwięku. Sidplay 2 może odtwarzać wszystkie formaty plików mono i
stereo z C64.

%package devel
Summary:	Header files for compiling apps that use libsidplay
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania aplikacji używających libsidplay
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains the header files for compiling applications that
use libsidplay.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do budowania aplikacji używających
biblioteki libsidplay.

%package static
Summary:	Static libsidplay library
Summary(pl.UTF-8):	Statyczna biblioteka libsidplay
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of libsidplay.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję libsidplay.

%prep
%setup -q -n sidplay-libs-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd libsidplay
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd ../libsidutils
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd ../resid
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../builders/hardsid-builder
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd ../resid-builder
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd ../..
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc libsidplay/{AUTHORS,ChangeLog,TODO}
%attr(755,root,root) %ghost %{_libdir}/libsidplay2.so.1
%attr(755,root,root) %{_libdir}/libsidplay2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsidutils.so.0
%attr(755,root,root) %{_libdir}/libsidutils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhardsid-builder.so.0
%attr(755,root,root) %{_libdir}/libhardsid-builder.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libresid-builder.so.0
%attr(755,root,root) %{_libdir}/libresid-builder.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsidplay2.so
%attr(755,root,root) %{_libdir}/libsidutils.so
%attr(755,root,root) %{_libdir}/libhardsid-builder.so
%attr(755,root,root) %{_libdir}/libresid-builder.so
%{_includedir}/sidplay
%{_pkgconfigdir}/libsidplay2.pc
%{_pkgconfigdir}/libsidutils.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libhardsid-builder.a
%{_libdir}/libresid-builder.a
%{_libdir}/libsidplay2.a
%{_libdir}/libsidutils.a
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsidplay2.git;a=log;h=master

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 5e186ed
- remove bad, unnecessary hunk from patch
- rel 7

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> 8037e64
- release 6 (by relup.sh)

* Sat Feb 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 0920fc2
- removed todo which looks obsolete
- ac,lt version

* Thu Feb 16 2012 Artur Frysiak <artur@frysiak.net> f8449d4
- update debian patches (from sid 2.1.1-12)
- build shared builders
- drop libtool files
- rel. 5

* Sat Feb 19 2011 Krzysztof Krakowiak <evil@pld-linux.org> 162b0bf
- replaced gcc41 by debian_fixes patch (which works)
- adapterized
- added TODO

* Wed Jan 02 2008 hawk <hawk@pld-linux.org> ce2fcfd
- aagh! replaced garbage with correct patch

* Wed Jan 02 2008 hawk <hawk@pld-linux.org> 4129e97
- obsolete

* Wed Jan 02 2008 hawk <hawk@pld-linux.org> 4ecb33e
- gcc 4.x fix from gentoo

* Wed Jan 02 2008 hawk <hawk@pld-linux.org> bddb075
- replaced gcc34 patch with gcc41 patch from gentoo
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 31c5876
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c31fcbb
- converted to UTF-8

* Mon Feb 21 2005 wolf <wolf@pld-linux.org> 07832d2
- fix building on gcc 3.4

* Wed Aug 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 580e1a6
- fixed build on amd64, release 2

* Sun Jul 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 750ea11
- updated to 2.1.1, BR+R libstdc++-devel

* Sun Feb 08 2004 wolf <wolf@pld-linux.org> d106674
- amd64 fix

* Sun Feb 08 2004 wolf <wolf@pld-linux.org> 0ac8669
- /usr/lib/sidplay is required

* Sat Feb 07 2004 Jakub Bogusz <qboosh@pld-linux.org> e5e95c7
- pl description, unifications

* Sat Feb 07 2004 wolf <wolf@pld-linux.org> 503ed21
- new

